package compass;

public class CompassTestConfig {
    public static CompassUtilities u = CompassUtilities.getInstance();
    
    protected static void testConfig()
    {
        // createKey() and sectionExists() are not tested. They are not called from outside, so toUpperCase() is not called on its arguments
        // Commented lines raise exceptions
        u.dbgOutput("CONFIG TESTS:\n", true);

        u.dbgOutput("=================================================== START =======================================================\n", true);

        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"Regular variable named @@var\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "Regular variable named @@var"), true);
        u.dbgOutput("featureSupportedInVersion(\"1\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("1", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.*\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("1.*", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.0\", \"@@variable\")" + " = " + CompassConfig.featureSupportedInVersion("2.0", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.1\", \"@@variable\",)" + " = " + CompassConfig.featureSupportedInVersion("2.1", "@@variable"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET QUOTED_IDENTIFIER\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET QUOTED_IDENTIFIER"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"SET QUOTED_IDENTIFIER\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "SET QUOTED_IDENTIFIER"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET NOCOUNT\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET NOCOUNT"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"SET NOCOUNT\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "SET NOCOUNT"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"@@variable\", \"@@NESTLEVEL\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "@@variable", "@@NESTLEVEL"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"@@variable\", \"@@NESTLEVEL\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "@@variable", "@@NESTLEVEL"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"@@variable\", \"@@NESTLEVEL\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "@@variable", "@@NESTLEVEL"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.0\", \"@@variable\", \"@@NESTLEVEL\")" + " = " + CompassConfig.featureSupportedInVersion("2.0", "@@variable", "@@NESTLEVEL"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.1\", \"@@variable\", \"@@NESTLEVEL\")" + " = " + CompassConfig.featureSupportedInVersion("2.1", "@@variable", "@@NESTLEVEL"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"@@variable\", \"@@CPU_BUSY\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "@@variable", "@@CPU_BUSY"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"@@variable\", \"@@CPU_BUSY\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "@@variable", "@@CPU_BUSY"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"@@variable\", \"@@CPU_BUSY\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "@@variable", "@@CPU_BUSY"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.0\", \"@@variable\", \"@@CPU_BUSY\")" + " = " + CompassConfig.featureSupportedInVersion("2.0", "@@variable", "@@CPU_BUSY"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.1\", \"@@variable\", \"@@CPU_BUSY\")" + " = " + CompassConfig.featureSupportedInVersion("2.1", "@@variable", "@@CPU_BUSY"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.0\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("2.0", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"2.1\", \"@@variable\", \"@@PACK_SENT\")" + " = " + CompassConfig.featureSupportedInVersion("2.1", "@@variable", "@@PACK_SENT"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET QUOTED_IDENTIFIER\", \"ON\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET QUOTED_IDENTIFIER", "ON"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET QUOTED_IDENTIFIER\", \"OFF\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET QUOTED_IDENTIFIER", "OFF"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET NOCOUNT\", \"ON\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET NOCOUNT", "ON"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"SET NOCOUNT\", \"OFF\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "SET NOCOUNT", "OFF"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "CREATE DATABASE option", "CONTAINMENT", ""), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "CREATE DATABASE option", "CONTAINMENT", ""), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "CREATE DATABASE option", "CONTAINMENT", ""), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"NONE\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "CREATE DATABASE option", "CONTAINMENT", "NONE"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"NONE\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "CREATE DATABASE option", "CONTAINMENT", "NONE"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"NONE\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "CREATE DATABASE option", "CONTAINMENT", "NONE"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"PARTIAL\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "CREATE DATABASE option", "CONTAINMENT", "PARTIAL"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.1\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"PARTIAL\")" + " = " + CompassConfig.featureSupportedInVersion("1.1", "CREATE DATABASE option", "CONTAINMENT", "PARTIAL"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.2\", \"\", \"CREATE DATABASE option\", \"CONTAINMENT\", \"PARTIAL\")" + " = " + CompassConfig.featureSupportedInVersion("1.2", "CREATE DATABASE option", "CONTAINMENT", "PARTIAL"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureSupportedMinimumVersion(\"Regular variable named @@var\")" + " = " + CompassConfig.featureSupportedMinimumVersion("Regular variable named @@var"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"SET LANGUAGE\")" + " = " + CompassConfig.featureSupportedMinimumVersion("SET LANGUAGE"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"HASHBYTES\")" + " = " + CompassConfig.featureSupportedMinimumVersion("HASHBYTES"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureSupportedMinimumVersion(\"Regular variable named @@var\", \"MD5\")" + " = " + CompassConfig.featureSupportedMinimumVersion("Regular variable named @@var", "MD5"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"SET LANGUAGE\", \"ENGLISH\")" + " = " + CompassConfig.featureSupportedMinimumVersion("SET LANGUAGE", "ENGLISH"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"HASHBYTES\", \"MD5\")" + " = " + CompassConfig.featureSupportedMinimumVersion("HASHBYTES", "MD5"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"HASHBYTES\", \"MD4\")" + " = " + CompassConfig.featureSupportedMinimumVersion("HASHBYTES", "MD4"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"HASHBYTES\", \"ACOS\")" + " = " + CompassConfig.featureSupportedMinimumVersion("HASHBYTES", "ACOS"), true);
        u.dbgOutput("featureSupportedMinimumVersion(\"Built-in functions\", \"ACOS\")" + " = " + CompassConfig.featureSupportedMinimumVersion("Built-in functions", "ACOS"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.1\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.1", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.2\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.2", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.3\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.3", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.0\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.0", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.1\", \"HASHBYTES\", \"arg1\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.1", "HASHBYTES", "arg1", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.1\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.1", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.2\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.2", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.3\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.3", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.0\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.0", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.1\", \"HASHBYTES\", \"arg1\", \"md2\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.1", "HASHBYTES", "arg1", "md2"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.1\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.1", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.2\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.2", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.3\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.3", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.0\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.0", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.1\", \"HASHBYTES\", \"arg1\", \"md4\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.1", "HASHBYTES", "arg1", "md4"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.1\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.1", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.2\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.2", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.3\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.3", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.0\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.0", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.1\", \"HASHBYTES\", \"arg1\", \"sha\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.1", "HASHBYTES", "arg1", "sha"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.1\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.1", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.2\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.2", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.3\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.3", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.0\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.0", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"2.1\", \"HASHBYTES\", \"arg1\", \"SHA2_512\")" + " = " + CompassConfig.featureArgSupportedInVersion("2.1", "HASHBYTES", "arg1", "SHA2_512"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg2\", \"md5\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg2", "md5"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"HASHBYTES\", \"arg1\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "HASHBYTES", "arg1", "xxx"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"SQL_VARIANT_PROPERTY\", \"arg2\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "SQL_VARIANT_PROPERTY", "arg2", "xxx"), true);
        u.dbgOutput("featureArgSupportedInVersion(\"1.0\", \"SQL_VARIANT_PROPERTY\", \"arg1\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedInVersion("1.0", "SQL_VARIANT_PROPERTY", "arg1", "xxx"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"HASHBYTES\", \"arg1\", \"mD5\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("HASHBYTES", "arg1", "mD5"), true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"HASHBYTES\", \"arg2\", \"mD5\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("HASHBYTES", "arg2", "mD5"), true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"HASHBYTES\", \"arg1\", \"sha1\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("HASHBYTES", "arg1", "sha1"), true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"HASHBYTES\", \"arg1\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("HASHBYTES", "arg1", "xxx"), true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"SQL_VARIANT_PROPERTY\", \"arg2\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("SQL_VARIANT_PROPERTY", "arg2", "xxx"), true);
        u.dbgOutput("featureArgSupportedMinimumVersion(\"SQL_VARIANT_PROPERTY\", \"arg1\", \"xxx\")" + " = " + CompassConfig.featureArgSupportedMinimumVersion("SQL_VARIANT_PROPERTY", "arg1", "xxx"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureDefaultStatus(\"SET NOCOUNT\")" + " = " + CompassConfig.featureDefaultStatus("SET NOCOUNT"), true);
        u.dbgOutput("featureDefaultStatus(\"SET IMPLICIT_TRANSACTIONS\")" + " = " + CompassConfig.featureDefaultStatus("SET IMPLICIT_TRANSACTIONS"), true);
        u.dbgOutput("featureDefaultStatus(\"SET TRANSACTION ISOLATION LEVEL\")" + " = " + CompassConfig.featureDefaultStatus("SET TRANSACTION ISOLATION LEVEL"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureExistsArg(\"CONNECTIONPROPERTY\")" + " = " + CompassConfig.featureExistsArg("CONNECTIONPROPERTY"), true);
        u.dbgOutput("featureExistsArg(\"HASHBYTES\")" + " = " + CompassConfig.featureExistsArg("HASHBYTES"), true);
        u.dbgOutput("featureExistsArg(\"SUBSTRING\")" + " = " + CompassConfig.featureExistsArg("SUBSTRING"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureGroup(\"CONNECTIONPROPERTY\")" + " = " + CompassConfig.featureGroup("CONNECTIONPROPERTY"), true);
        u.dbgOutput("featureGroup(\"HASHBYTES\")" + " = " + CompassConfig.featureGroup("HASHBYTES"), true);
        u.dbgOutput("featureGroup(\"Built-in functions\")" + " = " + CompassConfig.featureGroup("Built-in functions"), true);
        u.dbgOutput("featureGroup(\"Remote object references\")" + " = " + CompassConfig.featureGroup("Remote object references"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureGroup(\"Built-in functions\", \"CONNECTIONPROPERTY\")" + " = " + CompassConfig.featureGroup("Built-in functions", "CONNECTIONPROPERTY"), true);
        u.dbgOutput("featureGroup(\"Built-in functions\", \"HASHBYTES\")" + " = " + CompassConfig.featureGroup("Built-in functions", "HASHBYTES"), true);
        u.dbgOutput("featureGroup(\"Datatypes\", \"GEOGRAPHY\")" + " = " + CompassConfig.featureGroup("Datatypes", "GEOGRAPHY"), true);
        u.dbgOutput("featureGroup(\"Datatypes\", \"TIMESTAMP\")" + " = " + CompassConfig.featureGroup("Datatypes", "TIMESTAMP"), true);
        u.dbgOutput("featureGroup(\"Datatypes\", \"XML\")" + " = " + CompassConfig.featureGroup("Datatypes", "XML"), true);
        u.dbgOutput("featureGroup(\"Datatypes\", \"XML(xmlschema)\")" + " = " + CompassConfig.featureGroup("Datatypes", "XML(xmlschema)"), true);
        u.dbgOutput("featureGroup(\"Datatypes\", \"CURSOR\")" + " = " + CompassConfig.featureGroup("Datatypes", "CURSOR"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.validBabelfishVersions()" + " = " + CompassConfig.validBabelfishVersions(), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.latestBabelfishVersion()" + " = " + CompassConfig.latestBabelfishVersion(), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1\")" + " = " + CompassConfig.isValidBabelfishVersion("1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1.1\")" + " = " + CompassConfig.isValidBabelfishVersion("1.1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1.1.1\")" + " = " + CompassConfig.isValidBabelfishVersion("1.1.1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1.x\")" + " = " + CompassConfig.isValidBabelfishVersion("1.x"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1.*\")" + " = " + CompassConfig.isValidBabelfishVersion("1.*"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersion(\"1.1-1.3\")" + " = " + CompassConfig.isValidBabelfishVersion("1.1-1.3"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1.1\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1.1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1.1.1\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1.1.1"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1.x\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1.x"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1.*\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1.*"), true);
        u.dbgOutput("CompassConfig.isValidBabelfishVersionWithStar(\"1.1-1.3\")" + " = " + CompassConfig.isValidBabelfishVersionWithStar("1.1-1.3"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.normalizedBabelfishVersion(\"1\")" + " = " + CompassConfig.normalizedBabelfishVersion("1"), true);
        u.dbgOutput("CompassConfig.normalizedBabelfishVersion(\"1.1\")" + " = " + CompassConfig.normalizedBabelfishVersion("1.1"), true);
        u.dbgOutput("CompassConfig.normalizedBabelfishVersion(\"1.1.1\")" + " = " + CompassConfig.normalizedBabelfishVersion("1.1.1"), true);
        u.dbgOutput("CompassConfig.normalizedBabelfishVersion(\"1.*\")" + " = " + CompassConfig.normalizedBabelfishVersion("1.*"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.lowerBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.lowerBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.lowerBabelfishVersion("1.1", "1.1"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.lowerBabelfishVersion("1", ""), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.lowerBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.lowerBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.lowerBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.lowerBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.lowerBabelfishVersion("1.2.*", "1.*.1"), true);
        //u.dbgOutput("CompassConfig.lowerBabelfishVersion(\"\", \"\")" + " = " + CompassConfig.lowerBabelfishVersion("", ""), true); // Both blank
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.higherBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.higherBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.higherBabelfishVersion("1.1", "1.1"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.higherBabelfishVersion("1", ""), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.higherBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.higherBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.higherBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.higherBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.higherBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.higherBabelfishVersion("1.2.*", "1.*.1"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.isLowerBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.isLowerBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.isLowerBabelfishVersion("1.1", "1.1"), true);
        //u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.isLowerBabelfishVersion("1", ""), true);
        //u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.isLowerBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.isLowerBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.isLowerBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.isLowerBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.isLowerBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.isLowerBabelfishVersion("1.2.*", "1.*.1"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1.1", "1.1"), true);
        //u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1", ""), true);
        //u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.isLowerOrEqualBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.isLowerOrEqualBabelfishVersion("1.2.*", "1.*.1"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.isHigherBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.isHigherBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.isHigherBabelfishVersion("1.1", "1.1"), true);
        //u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.isHigherBabelfishVersion("1", ""), true);
        //u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.isHigherBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.isHigherBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.isHigherBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.isHigherBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.isHigherBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.isHigherBabelfishVersion("1.2.*", "1.*.1"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1\", \"1\")" + " = " + CompassConfig.isEqualBabelfishVersion("1", "1"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1\", \"1.0\")" + " = " + CompassConfig.isEqualBabelfishVersion("1", "1.0"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1.1\", \"1.1\")" + " = " + CompassConfig.isEqualBabelfishVersion("1.1", "1.1"), true);
        //u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1\", \"\")" + " = " + CompassConfig.isEqualBabelfishVersion("1", ""), true);
        //u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"\", \"1\")" + " = " + CompassConfig.isEqualBabelfishVersion("", "1"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1.*\", \"1\")" + " = " + CompassConfig.isEqualBabelfishVersion("1.*", "1"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1.*\", \"1.0\")" + " = " + CompassConfig.isEqualBabelfishVersion("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1.*\", \"1.*\")" + " = " + CompassConfig.isEqualBabelfishVersion("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.isEqualBabelfishVersion(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.isEqualBabelfishVersion("1.2.*", "1.*.1"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1\", \"1\")" + " = " + CompassConfig.isVersionSupported("1", "1"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1\", \"1.0\")" + " = " + CompassConfig.isVersionSupported("1", "1.0"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.1\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.1"), true);
        //u.dbgOutput("CompassConfig.isVersionSupported(\"1\", \"\")" + " = " + CompassConfig.isVersionSupported("1", ""), true);
        //u.dbgOutput("CompassConfig.isVersionSupported(\"\", \"1\")" + " = " + CompassConfig.isVersionSupported("", "1"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.*\", \"1\")" + " = " + CompassConfig.isVersionSupported("1.*", "1"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.*\", \"1.0\")" + " = " + CompassConfig.isVersionSupported("1.*", "1.0"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.*\", \"1.*\")" + " = " + CompassConfig.isVersionSupported("1.*", "1.*"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.2.*\", \"1.*.1\")" + " = " + CompassConfig.isVersionSupported("1.2.*", "1.*.1"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.0-1.1\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.0-1.1"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.0-1.2\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.0-1.2"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.2-1.0\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.2-1.0"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.2-1.3\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.2-1.3"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.0-2.0\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.0-2.0"), true);
        u.dbgOutput("CompassConfig.isVersionSupported(\"1.1\", \"1.0-1.*\")" + " = " + CompassConfig.isVersionSupported("1.1", "1.0-1.*"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureExists(\"Dummy\")" + " = " + CompassConfig.featureExists("Dummy"), true);
        u.dbgOutput("featureExists(\"Built-in functions\")" + " = " + CompassConfig.featureExists("Built-in functions"), true);
        u.dbgOutput("featureExists(\"System Stored Procedures\")" + " = " + CompassConfig.featureExists("System Stored Procedures"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureExists(\"Built-in functions\", \"ACOS\")" + " = " + CompassConfig.featureExists("Built-in functions", "ACOS"), true);
        u.dbgOutput("featureExists(\"Built-in functions\", \"ACOT\")" + " = " + CompassConfig.featureExists("Built-in functions", "ACOT"), true);
        u.dbgOutput("featureExists(\"Built-in functions\", \"PREDICT\")" + " = " + CompassConfig.featureExists("Built-in functions", "PREDICT"), true);
        u.dbgOutput("featureExists(\"System Stored Procedures\", \"SP_ASSEMBLY_LANGUAGE\")" + " = " + CompassConfig.featureExists("System Stored Procedures", "SP_ASSEMBLY_LANGUAGE"), true);
        u.dbgOutput("===============================================================================================================", true);
        //u.dbgOutput("featureIntValueSupportedInVersion(\"\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("", "Maximum columns per index"), true);
        u.dbgOutput("featureIntValueSupportedInVersion(\"1.0\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("1.0", "Maximum columns per index"), true);
        //u.dbgOutput("featureIntValueSupportedInVersion(\"1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("1", "Maximum columns per index"), true);
        u.dbgOutput("featureIntValueSupportedInVersion(\"1.*\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("1.*", "Maximum columns per index"), true);
        u.dbgOutput("featureIntValueSupportedInVersion(\"1.1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("1.1", "Maximum columns per index"), true);
        u.dbgOutput("featureIntValueSupportedInVersion(\"2.1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("2.1", "Maximum columns per index"), true);
        //u.dbgOutput("featureIntValueSupportedInVersion(\"0.9\", \"Maximum columns per index\")" + " = " + CompassConfig.featureIntValueSupportedInVersion("0.9", "Maximum columns per index"), true);
        u.dbgOutput("===============================================================================================================", true);
        //u.dbgOutput("featureValueSupportedInVersion(\"\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"1.0\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("1.0", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("1", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"1.*\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("1.*", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"1.1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("1.1", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"2.1\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("2.1", "Maximum columns per index"), true);
        u.dbgOutput("featureValueSupportedInVersion(\"0.9\", \"Maximum columns per index\")" + " = " + CompassConfig.featureValueSupportedInVersion("0.9", "Maximum columns per index"), true);
        u.dbgOutput("===============================================================================================================", true);
        u.dbgOutput("featureValueList(\"Maximum columns per index\")" + " = " + CompassConfig.featureValueList("Maximum columns per index"), true);
        u.dbgOutput("featureValueList(\"@@variable\")" + " = " + CompassConfig.featureValueList("@@variable"), true);
        u.dbgOutput("featureValueList(\"Datatypes\")" + " = " + CompassConfig.featureValueList("Datatypes"), true);

        u.dbgOutput("\n=================================================== NEW FEATURE ================================================\n", true);

        // Use upper case when testing this, because featureDefaultStatus doesn't call toUpperCase() on its arguments
        u.dbgOutput("featureDefaultStatus(\"INLINE INDEX\")" + " = " + CompassConfig.featureDefaultStatus("INLINE INDEX"), true);
        u.dbgOutput("featureDefaultStatus(\"INDEX OPTIONS\")" + " = " + CompassConfig.featureDefaultStatus("INDEX OPTIONS"), true);
        u.dbgOutput("featureDefaultStatus(\"INDEX OPTIONS\", \"MAXDOP\")" + " = " + CompassConfig.featureDefaultStatus("INDEX OPTIONS", "MAXDOP"), true);
        u.dbgOutput("featureDefaultStatus(\"INDEX OPTIONS\", \"ONLINE\")" + " = " + CompassConfig.featureDefaultStatus("INDEX OPTIONS", "ONLINE"), true);
        u.dbgOutput("featureDefaultStatus(\"INDEX OPTIONS\", \"PAD_INDEX\")" + " = " + CompassConfig.featureDefaultStatus("INDEX OPTIONS", "PAD_INDEX"), true);
        u.dbgOutput("featureDefaultStatus(\"INDEX OPTIONS\", \"FILLFACTOR\")" + " = " + CompassConfig.featureDefaultStatus("INDEX OPTIONS", "FILLFACTOR"), true);
        u.dbgOutput("featureSupportedInVersion(\"1.0\", \"INDEX OPTIONS\", \"FILLFACTOR\")" + " = " + CompassConfig.featureSupportedInVersion("1.0", "INDEX OPTIONS", "FILLFACTOR"), true);

        u.dbgOutput("\n=================================================== END =======================================================\n", true);

        // Uncomment this if you want the program to end here
        //u.errorExit();
    }
}
